package it.eng.spago.cms.exceptions;

/**
 * Models an exception occured during the execution of a repository operation
 */
public class OperationExecutionException extends Exception {
	
	/**
	 * Constructor of the class useful to build the exception without an error message 
	 */
	public OperationExecutionException() {
		super();
	}
	/**
	 * Constructor of the class useful to build the exception with an error message 
	 * @param error Error Message
	 */
	public OperationExecutionException(String error) {
		super(error);
	}
	/**
	 * Constructor of the class useful to build the exception with an error message 
	 * and a preceding exception
	 * @param error Error Message
	 * @param exception Preceding Throwable object
	 */
	public OperationExecutionException(String error, Throwable exception) {
		super(error, exception);
	}
	
}
